<template>
    <div>
        <b-table striped hover :items="items"></b-table>
    </div>
</template>

<script>
    import axios from 'axios';
    export default {
        data() {
            return {
                items: [],
                errors: [],
            }
        },
        async created() {
            try {
                const response = await axios.get(`api/list/available`);
                this.items = response.data.map((obj)=>{
                    delete obj._id;
                    delete obj.__v;
                    delete obj.type;
                    return obj;
                });
            } catch (e) {
                this.errors.push(e)
            }
        }
    }
</script>